Package ghidra.program.model.data

# Class DataTypeEncodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ghidra.util.exception.UsrException
ghidra.program.model.data.DataTypeEncodeException

All Implemented Interfaces:
  `Serializable`

public class DataTypeEncodeException extends UsrException
Exception thrown when a value cannot be encoded for a data type

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTypeEncodeException(Object value, DataType dt, Throwable cause)`
  Constructor
  `DataTypeEncodeException(String message, Object value, DataType dt)`
  Constructor
  `DataTypeEncodeException(String message, Object value, DataType dt, Throwable cause)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataType`
  `getDataType()`
  Get the data type
  `Object`
  `getValue()`
  Get the requested value or representation

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataTypeEncodeException

    public DataTypeEncodeException(String message, Object value, DataType dt)
    Constructor
    Parameters:
      `message` - the exception message
      `value` - the requested value or representation
      `dt` - the data type

  - ### DataTypeEncodeException

    public DataTypeEncodeException(String message, Object value, DataType dt, Throwable cause)
    Constructor
    Parameters:
      `message` - the exception message
      `value` - the requested value or representation
      `dt` - the data type
      `cause` - the exception cause

  - ### DataTypeEncodeException

    public DataTypeEncodeException(Object value, DataType dt, Throwable cause)
    Constructor
    Parameters:
      `value` - the requested value or representation
      `dt` - the data type
      `cause` - the exception cause

- ## Method Details

  - ### getValue

    public Object getValue()
    Get the requested value or representation
    Returns:
      the requested value representation

  - ### getDataType

    public DataType getDataType()
    Get the data type
    Returns:
      the data type